Bug 199653 - libmozsqlite3.so, libmozalloc.so, libsmime3.so libraries are missed in C/C++ Project from Binary File wizard
libmozsqlite3.so, libmozalloc.so, libsmime3.so libraries are missed in C/C++ ...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
PC Solaris
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-23 12:36 UTC by soldatov
Modified: 2011-09-26 13:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-06-23 12:36:35 UTC
Scenario:
- Build Firefox 4.0.1 by Oracle Solaris Studio 12.2 on Solaris
- Type in terminal:
export LD_LIBRARY_PATH=/export/files/sources/mozilla-2.0/dist/bin
bash-4.0$ ldd /export/files/sources/mozilla-2.0/dist/bin/firefox-bin | grep mozilla-2.0
	libxul.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libxul.so
	libxpcom.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libxpcom.so
	libplc4.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libplc4.so
	libnspr4.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libnspr4.so
	libmozsqlite3.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libmozsqlite3.so
	libsmime3.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libsmime3.so
	libssl3.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libssl3.so
	libnss3.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libnss3.so
	libnssutil3.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libnssutil3.so
	libplds4.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libplds4.so
	libmozalloc.so =>	 /export/files/sources/mozilla-2.0/dist/bin/libmozalloc.so

- Launch NetBeans
- Call C/C++ Project from Binary File wizard
- Select /export/files/sources/mozilla-2.0/dist/bin/firefox-bin executable
==> All /export/files/sources/mozilla-2.0/dist/bin/*.so are expected in "Shared Libraries" table. I see 4 libraries only (libnspr4.so, libplc4.so, libxpcom.so and libxul.so)
Comment 1 Alexander Simon 2011-06-23 17:16:16 UTC
fixing, change set:
http://hg.netbeans.org/releases/rev/d984b5565182
Comment 2 Alexander Simon 2011-06-27 10:16:19 UTC
fixed, change set:
http://hg.netbeans.org/releases/rev/4775270b0af7
Comment 3 soldatov 2011-06-27 12:54:21 UTC
works nicely if NetBeans is launched with -J-Xmx1500m
Comment 4 Alexander Simon 2011-06-27 17:20:10 UTC
Additional fix for case 32 bit JVM and xms+size of binary file grater then 4G:
http://hg.netbeans.org/releases/rev/c791af59fd5b
Comment 5 Alexander Simon 2011-06-28 08:37:13 UTC
Additional fix for reading after EOF 
http://hg.netbeans.org/releases/rev/7a65fed0e315
http://hg.netbeans.org/releases/rev/7ea803e74127
Comment 6 Quality Engineering 2011-07-26 13:57:33 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f5566f119145
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #199653 libmozsqlite3.so, libmozalloc.so, libsmime3.so libraries are missed in C/C++ Project from Binary File wizard
Comment 7 Alexander Simon 2011-08-15 09:59:10 UTC
Fix trancplanted to release701_fixes on elif:
f5566f119145 transplanted to 81d605ebf1c8
b7b56a02aecd transplanted to 61c81b2fbfaa
2aca61819d27 transplanted to 89069e4c35e6
d502ada955aa transplanted to e809535eb9bb
548abf7f6eb6 transplanted to a99189a38a62
Comment 8 Alexander Simon 2011-08-24 11:32:02 UTC
integrated in release701_fixes:
81d605ebf1c8 transplanted to f2e7c2fb7505
61c81b2fbfaa transplanted to a3e823143c95
89069e4c35e6 transplanted to 4d2bf65823d6
e809535eb9bb transplanted to 971000045ba8
a99189a38a62 transplanted to 49b9f9985113
Comment 9 Quality Engineering 2011-08-25 04:26:25 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/f2e7c2fb7505
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #199653 libmozsqlite3.so, libmozalloc.so, libsmime3.so libraries are missed in C/C++ Project from Binary File wizard
(transplanted from 81d605ebf1c800439e2912a78e1078c809c5fc37)
Comment 10 soldatov 2011-08-29 08:53:50 UTC
verified
Comment 11 Quality Engineering 2011-09-26 13:31:56 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/81d605ebf1c8
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #199653 libmozsqlite3.so, libmozalloc.so, libsmime3.so libraries are missed in C/C++ Project from Binary File wizard


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo